Bug 846550 - password must not contain ":"
password must not contain ":"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yawn (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 02:28 EDT by Ales Ledvinka
Modified: 2016-09-20 00:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 04:05:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Ledvinka 2012-08-08 02:28:25 EDT
Description of problem:
user password must not contain ":" after sucessfull login.

Version-Release number of selected component (if applicable):
yawn-0-0.4.20120227svn561.fc17.noarch

How reproducible:
always ":" any place in the password.

Steps to Reproduce:
1. useradd user
2. passwd user
3. "any:thing"
4. login to yawn
  
Actual results:
MOD_PYTHON ERROR

ProcessId:      12283
Interpreter:    'dhcp-0-114.brq.redhat.com'

ServerName:     'dhcp-0-114.brq.redhat.com'
DocumentRoot:   '/var/www/html'

URI:            '/yawn//Login'
Location:       None
Directory:      '/var/www/yawn/'
Filename:       '/var/www/yawn/index.py'
PathInfo:       ''

Phase:          'PythonHandler'
Handler:        'mod_python.publisher'

Traceback (most recent call last):

  File "/usr/lib64/python2.7/site-packages/mod_python/importer.py", line 1537, in HandlerDispatch
    default=default_handler, arg=req, silent=hlist.silent)

  File "/usr/lib64/python2.7/site-packages/mod_python/importer.py", line 1229, in _process_target
    result = _execute_target(config, req, object, arg)

  File "/usr/lib64/python2.7/site-packages/mod_python/importer.py", line 1128, in _execute_target
    result = object(arg)

  File "/usr/lib64/python2.7/site-packages/mod_python/publisher.py", line 213, in handler
    published = publish_object(req, object)

  File "/usr/lib64/python2.7/site-packages/mod_python/publisher.py", line 425, in publish_object
    return publish_object(req,util.apply_fs_data(object, req.form, req=req))

  File "/usr/lib64/python2.7/site-packages/mod_python/util.py", line 554, in apply_fs_data
    return object(**args)

  File "/var/www/yawn/index.py", line 2169, in Login
    return EnumNamespaces(req, url)

  File "/var/www/yawn/index.py", line 2086, in EnumNamespaces
    conn = _frontMatter(req, url, '')

  File "/var/www/yawn/index.py", line 1038, in _frontMatter
    return _getConn(req, url, ns)

  File "/var/www/yawn/index.py", line 1656, in _getConn
    (user, pw) = _getUserPW(req)

ValueError: too many values to unpack


MODULE CACHE DETAILS

Accessed:       Wed Aug  8 08:21:36 2012
Generation:     0

_mp_44c922cdde4d043e7278b6064a6cb3d0 {
  FileName:     '/var/www/yawn/index.py'
  Instance:     1 [IMPORT]
  Generation:   1
  Modified:     Mon Jun 18 14:49:30 2012
  Imported:     Wed Aug  8 08:21:36 2012
}



Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.